## compiz 0.8.16.1

=== debian/changelog ===
compiz (2:0.8.16.1-4) unstable; urgency=medium

  * Enable ezoom by default.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Jan 2019 16:58:21 +0100

compiz (2:0.8.16.1-3) unstable; urgency=medium

  * Fix binary-indep build.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Dec 2018 10:44:56 +0100

compiz (2:0.8.16.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move compiz-dev's .pc files to a multiarch location. (Closes: #916290)

  [ Samuel Thibault ]
  * Upload to unstable.
  * Move libdecoration0-dev's .pc files to a multiarch location too.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Dec 2018 02:29:31 +0100

compiz (2:0.8.16.1-1) experimental; urgency=medium

  * New upstream release (Closes: #899213)
    - debian/compiz-plugins.install: Install plugin icons.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Nov 2018 13:44:20 +0100

compiz (2:0.8.14-3) unstable; urgency=medium

  * control: Fix indep-only build.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Nov 2018 17:15:59 +0100

compiz (2:0.8.14-2) unstable; urgency=medium

  * control: Fix libpng-dev dependency.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Nov 2018 16:13:34 +0100

compiz (2:0.8.14-1) unstable; urgency=medium

  * Split back packaging according to compiz-reloaded new upstream, and bump
    epoch accordingly (Closes: #907640, #874018, #848845)
  * Switch to hypra maintenance team
  * Restore non-reloaded package names
  * Keep compatibility with packages in Debian
  * Update copyright file
  * Generate dbgsym packages

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Oct 2018 21:11:46 +0200

compiz (1:0.9.13.1+18.04.20180302-2) unstable; urgency=medium

  * Last compiz-from-launchpad upload.
 
 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Oct 2018 15:14:00 +0200

compiz (1:0.8.4-4ubuntu1) maverick; urgency=low

  * Bumped epoch
 
 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Jun 2010 10:12:18 +1000

compiz (0.8.14-0~stretch1) stretch; urgency=low

  * New upstream release.
    - rename source package to reloaded version
  * Add override dh_strip to no create automatic dbgsym.
  * Switch build on GTK3.
  * Bump standards to version 3.9.8.

 -- Jof Thibaut <compiz@tuxfamily.org>  Sat, 24 Jun 2017 23:02:28 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' include/compiz-core.h )

LDFLAGS += -Wl,--as-needed

# List of plugins passed to ./configure.  The order is important
PLUGINS=core,png,svg,screenshot,decoration,clone,place,fade,minimize,move,resize,switcher,scale,wall,obs,mousepoll,glib,focuspoll,ezoom

CONF_FLAGS = --disable-static \
		--with-gtk=3.0 \
		--disable-fuse \
		--enable-librsvg \
		--enable-gtk \
		--enable-marco \
		--enable-menu-entries \
		--with-default-plugins=$(PLUGINS)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	intltoolize --copy --force --automake
	dh_auto_configure -- $(CONF_FLAGS) --libdir=/usr/lib

override_dh_install:
# remove unneeded .la files
	find $(CURDIR)/debian/tmp/usr/lib \
	-type f -name '*.la' -exec rm -f {} ';'

	dh_install --fail-missing
	! mkdir debian/compiz-dev/usr/lib/$(DEB_HOST_MULTIARCH) || \
	mv debian/compiz-dev/usr/lib/pkgconfig debian/compiz-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	! mkdir debian/libdecoration0-dev/usr/lib/$(DEB_HOST_MULTIARCH) || \
	mv debian/libdecoration0-dev/usr/lib/pkgconfig debian/libdecoration0-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig

# matecompat plugin and xml file are seperately installed
# into the -mate package respectively
	rm -f debian/compiz-plugins/usr/lib/compiz/libmatecompat.so
	rm -f debian/compiz-plugins/usr/share/compiz/matecompat.xml

# core.xml excluded from plugins as it is in core
	rm -f debian/compiz-plugins/usr/share/compiz/core.xml

override_dh_makeshlibs:
	dh_makeshlibs -plibdecoration0 -V'libdecoration0 (>= 2:0.8.14-0~)'

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/compiz-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/compiz/tags .*/v?(\d\S*)\.tar\.gz

## compiz 0.8.18

=== debian/changelog ===
compiz (2:0.8.18-9) unstable; urgency=low

  * Update standards version to 4.6.2, no changes needed.
  * control: Fix compiz-dev dependency on libjpeg-dev (Closes: Bug#1116473)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Sep 2025 22:06:01 +0200

compiz (2:0.8.18-8) unstable; urgency=medium

  * control: Demote compiz-mate's dependency on mate-themes to a Recommends.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Mar 2025 23:21:22 +0200

compiz (2:0.8.18-7) unstable; urgency=medium

  * control: Bump to fuse3.  Closes: #1084463
  * watch: Use api to get tags.
  * control: Build-depend on libjpeg-dev instead of libjpeg62-turbo-dev
    (Closes: Bug#1089019).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Jan 2025 02:24:39 +0100

compiz (2:0.8.18-6) unstable; urgency=medium

  * control: Drop compiz-plugins-default transitional package.
  * control: Drop libgl1-mesa-dev dependency alternative, now obsolete.
  * patches/libxml2-12: Fix compatibility with libxml 2.12.  Closes: #1071947
  * patches/gcc-14: Fix compilation with gcc-14.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 May 2024 13:16:33 +0200

compiz (2:0.8.18-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/64-bit-time-t-compat.patch: fix build with
    _TIME_BITS=64.

 -- Steve Langasek <vorlon@debian.org>  Sat, 16 Mar 2024 01:19:57 +0000

compiz (2:0.8.18-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061901

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:31:21 +0000

compiz (2:0.8.18-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Remove .git from end of gitlab URL in Homepage field
  * control: Make compiz Multi-Arch: foreign.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libgl1-mesa-dev, libice-dev,
      libmarco-dev, libmate-desktop-dev, libsm-dev,
      libstartup-notification0-dev, libxcomposite-dev, libxdamage-dev,
      libxfixes-dev, libxrandr-dev, libxrender-dev and x11proto-gl-dev.
    + compiz: Drop versioned constraint on libcompizconfig0 in Depends.
    + compiz-core: Drop versioned constraint on nvidia-driver in Suggests.
    + compiz-dev: Drop versioned constraint on libice-dev, libsm-dev,
      libstartup-notification0-dev, libxcomposite-dev, libxdamage-dev,
      libxfixes-dev and libxrandr-dev in Depends.
    + compiz-gnome: Drop versioned constraint on libcompizconfig0 in Depends.
    + compiz-plugins: Drop versioned constraint on compiz-plugins and
      compiz-plugins-default in Conflicts.
    + compiz-plugins: Drop versioned constraint on compiz-plugins and
      compiz-plugins-default in Replaces.
    + libdecoration0-dev: Drop versioned constraint on libxrender-dev in
      Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:58:27 +0100

compiz (2:0.8.18-4) unstable; urgency=medium

  * patches/rsvg-header: Fix building with newer version of librsvg which
    renamed its librsvg-features.h header.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Feb 2022 22:53:09 +0100

compiz (2:0.8.18-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * rules: Re-enable fuse plugin.
  * control: Add libfuse-dev build-dep.
  * control: Drop libxml-parser-perl build-dep, not actually needed.
  * control: Drop marco-common build-dep, not actually needed.
  * control: Bump Standards-Version to 4.6.0 (no change)

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + compiz-mate: Drop versioned constraint on marco in Depends.
  * Remove constraints unnecessary since buster:
    + compiz: Drop versioned constraint on fusion-icon in Suggests.
    + compiz-core: Drop versioned constraint on compiz-plugins-main in
      Recommends.
    + compiz-plugins-default: Drop versioned constraint on compiz-plugins-extra
      and compiz-plugins-main in Depends.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.1, no changes needed.
  * Set upstream metadata fields: Repository-Browse.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 17:47:28 +0100

compiz (2:0.8.18-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update usptream URL
  * control: Make compiz-core break old version of libcompizconfig0 which
    didn't have the Compiz ABI build-dep.
  * rules: Drop now-default -Wl,--as-needed option
  * rules: Move libdecoration lib to multi-arch path.
  * control: Make libdecoration0 multi-arch: same.
  * control: Bump Standards-Version to 4.5.0 (no change).
  * watch: Update URL.
  * rules: Fix build-all.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
    + debian/rules: Move --fail-missing argument to dh_missing.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Drop unnecessary dependency on dh-autoreconf.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 17:10:27 +0100

compiz (2:0.8.18-1) unstable; urgency=medium

  * New upstream release.
    - compiz-decorator-test.patch: Upstreamed.
    - crash-crash: Upstreamed.
    - default_options.patch: Refresh.
    - marco-1.22: Upstreamed.
    - move: Upstreamed.
    - nonodelay: Upstreamed.
    - pc: Upstreamed.
    - switch: Upstreamed.
  * control: Remove Cyril from uploaders.
  * watch: switch to gitlab.
  * control: Make compiz-core multi-arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Apr 2020 01:28:40 +0200

compiz (2:0.8.16.1-12) unstable; urgency=medium



=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Hypra Team <bugs@hypra.fr>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               intltool,
               libcairo2-dev,
               libglib2.0-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libfuse3-dev [linux-any kfreebsd-any],
               libgl-dev,
               libglu1-mesa-dev,
               libgtk-3-dev,
               libice-dev,
               libmarco-dev,
               libmate-desktop-dev,
               libpango1.0-dev,
               libpng-dev,
               libjpeg-dev,
               librsvg2-dev,
               libsm-dev,
               libstartup-notification0-dev,
               libwnck-3-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxfixes-dev,
               libxinerama-dev,
               libxi-dev,
               libxml2-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               x11proto-gl-dev,
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://gitlab.com/compiz/compiz-core
Vcs-Git: https://salsa.debian.org/compiz-team/compiz-reloaded.git
Vcs-Browser: https://salsa.debian.org/compiz-team/compiz-reloaded

Package: compiz
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         compiz-core (>= ${source:Version}),
         compiz-plugins (>= ${source:Version}),
         compiz-gnome (>= ${source:Version}),
         compiz-plugins-main,
         compizconfig-settings-manager,
         libcompizconfig0
Recommends: compiz-mate,
            compiz-plugins-extra
Suggests: compiz-plugins-experimental,
          emerald, fusion-icon
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and a settings manager.

Package: compiz-core
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mesa-utils
Breaks: libcompizconfig0 (<< 2:0.8.16-3~)
Recommends: compiz-plugins (= ${binary:Version}),
            compiz-plugins-main,
Suggests: nvidia-driver
Provides: compiz-core-abiversion-${coreabiversion}
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Multi-Arch: same
Depends: compiz-core (= ${binary:Version}),
         ${misc:Depends},
         libgl-dev,
         libpng-dev,
         libjpeg-dev,
         libxcomposite-dev,
         libxfixes-dev,
         libxdamage-dev,
         libxinerama-dev,
         libxrandr-dev,
         libxcursor-dev,
         libice-dev,
         libsm-dev,
         libstartup-notification0-dev,
         libxi-dev,
         libxslt1-dev,
         libxml2-dev
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-gnome
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libcompizconfig0
Recommends: compizconfig-settings-manager
Suggests: emerald
Description: OpenGL window and compositing manager - Gtk window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses Gtk to provide a look and
 feel similar to that of the marco window manager.

Package: compiz-mate
Architecture: any
Depends: compiz-gnome (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         marco,
Recommends: mate-themes
Description: OpenGL window and compositing manager - MATE window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the MATE desktop
 environment.

Package: compiz-plugins
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the standard plugins that come with compiz. Compiz
 without these plugins is not very useful.

Package: libdecoration0t64
Provides: ${t64:Provides}
Replaces: libdecoration0
Breaks: libdecoration0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdecoration0t64 (= ${binary:Version}),
         ${misc:Depends},
         libx11-dev,
         libxrender-dev
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.
 .
 This package contains files required for developing window decorators

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' include/compiz-core.h )

# List of plugins passed to ./configure.  The order is important
PLUGINS=core,ccp,move,resize,place,decoration,screenshot,matecompat,png,obs,svg,clone,mousepoll,wall,glib,minimize,showmouse,neg,fade,scale,focuspoll,ezoom,switcher

CONF_FLAGS = --disable-static \
		--with-gtk=3.0 \
		--enable-librsvg \
		--enable-gtk \
		--enable-marco \
		--enable-menu-entries \
		--with-default-plugins=$(PLUGINS)

%:
	dh $@

override_dh_auto_configure:
	intltoolize --copy --force --automake
	dh_auto_configure -- $(CONF_FLAGS) --libdir=/usr/lib

override_dh_install:
# remove unneeded .la files
	find $(CURDIR)/debian/tmp/usr/lib \
	-type f -name '*.la' -exec rm -f {} ';'

	dh_install
	! mkdir debian/compiz-dev/usr/lib/$(DEB_HOST_MULTIARCH) || \
	mv debian/compiz-dev/usr/lib/pkgconfig debian/compiz-dev/usr/lib/$(DEB_HOST_MULTIARCH)/
	! mkdir debian/libdecoration0t64/usr/lib/$(DEB_HOST_MULTIARCH) || \
	mv debian/libdecoration0t64/usr/lib/libdecoration* debian/libdecoration0t64/usr/lib/$(DEB_HOST_MULTIARCH)/
	! mkdir debian/libdecoration0-dev/usr/lib/$(DEB_HOST_MULTIARCH) || \
	( mv debian/libdecoration0-dev/usr/lib/pkgconfig debian/libdecoration0-dev/usr/lib/$(DEB_HOST_MULTIARCH)/ && \
	  mv debian/libdecoration0-dev/usr/lib/libdecoration* debian/libdecoration0-dev/usr/lib/$(DEB_HOST_MULTIARCH)/ )

# matecompat plugin and xml file are seperately installed
# into the -mate package respectively
	rm -f debian/compiz-plugins/usr/lib/compiz/libmatecompat.so
	rm -f debian/compiz-plugins/usr/share/compiz/matecompat.xml

# core.xml excluded from plugins as it is in core
	rm -f debian/compiz-plugins/usr/share/compiz/core.xml

override_dh_makeshlibs:
	dh_makeshlibs -plibdecoration0t64 -V'libdecoration0t64 (>= 2:0.8.14-0~)'

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

=== debian/watch ===
version=4
opts="pagemangle=s!"name":"(v?@ANY_VERSION@)"!<a href="https://gitlab.com/compiz/compiz-core/-/archive/$1/compiz-core-$1.tar.bz2">!g" \
https://gitlab.com/api/v4/projects/compiz%2Fcompiz-core/repository/tags \
https://gitlab.com/compiz/compiz-core/.*/compiz-core-v?@ANY_VERSION@@ARCHIVE_EXT@

## compiz 0.9.2.1+git20110226.f059fae9

=== CMakeLists.txt ===
project (compiz)

set (CMAKE_MODULE_PATH_ORIG ${CMAKE_MODULE_PATH})
set (COMPIZ_CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${COMPIZ_CMAKE_MODULE_PATH})
include (CompizCommon)
include (CompizPackage)
include (cmake/base.cmake)
include (CheckFunctionExists)


set (CMAKE_CONFIGURATION_TYPES "Debug;Release;RelWithDebInfo;MinSizeRe" CACHE INTERNAL "" FORCE)
if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE "Debug" CACHE STRING "Build type (Debug/Release/RelWithDebInfo/MinSizeRe)" FORCE)
endif (NOT CMAKE_BUILD_TYPE)

# compiz package version number
# An odd micro number indicates in-progress development.
# An even micro number indicates a released version.
set (COMPIZ_VERSION_MAJOR 0)
set (COMPIZ_VERSION_MINOR 9)
set (COMPIZ_VERSION_MICRO 2)
set (COMPIZ_VERSION_MACRO 1)
set (VERSION ${COMPIZ_VERSION_MAJOR}.${COMPIZ_VERSION_MINOR}.${COMPIZ_VERSION_MICRO}.${COMPIZ_VERSION_MACRO})

set (DECOR_INTERFACE_VERSION 20110130)

if (COMPIZ_PACKAGING_ENABLED)
    set (prefix ${CMAKE_INSTALL_PREFIX}                   CACHE PATH "prefix")
    set (exec_prefix ${CMAKE_INSTALL_PREFIX}/bin          CACHE PATH "bindir")
    set (libdir ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}  CACHE PATH "libdir")
    set (includedir ${CMAKE_INSTALL_PREFIX}/include       CACHE PATH "includedir")
    set (datadir ${CMAKE_INSTALL_PREFIX}/share            CACHE PATH "datadir")
else (COMPIZ_PACKAGING_ENABLED)
    set (prefix ${CMAKE_INSTALL_PREFIX}                 )
    set (exec_prefix ${CMAKE_INSTALL_PREFIX}/bin        )
    set (libdir ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
    set (includedir ${CMAKE_INSTALL_PREFIX}/include     )
    set (datadir ${CMAKE_INSTALL_PREFIX}/share          )
endif (COMPIZ_PACKAGING_ENABLED)

set (compiz_plugindir ${libdir}/compiz)
set (compiz_imagedir ${datadir}/compiz/images)
set (compiz_metadatadir ${datadir}/compiz)
set (COMPIZ_I18N_DIR ${CMAKE_SOURCE_DIR}/po)

set (ALL_LINGUAS af ar bg bn bn_IN bs ca cs cy da de el en_GB en_US es eu et fi fr gl gu he hi hr hu id it ja ka km ko lo lt mk mr nb nl or pa pl pt pt_BR ro ru sk sl sr sv ta tr uk vi xh zh_CN zh_TW zu)
set (GETTEXT_PACKAGE compiz)

find_package (Boost 1.34.0 REQUIRED serialization)

set (COMPIZ_REQUIRES
    x11
    xext
    xdamage
    xcomposite
    x11-xcb
    xrandr
    xinerama
    xext
    ice
    sm
    libxml-2.0
    libxslt
    glib-2.0
    gio-2.0
    glibmm-2.4
    "libstartup-notification-1.0 >= 0.7"
)

set (DECORATION_REQUIRES xrender)

compiz_pkg_check_modules (COMPIZ REQUIRED ${COMPIZ_REQUIRES})
compiz_pkg_check_modules (LIBDECORATION REQUIRED ${DECORATION_REQUIRES})

list (APPEND COMPIZ_LIBRARIES ${Boost_LIBRARIES})

include (CompizDefaults)

set (COMPIZ_CFLAGS "${COMPIZ_CFLAGS} -I${Boost_INCLUDE_DIR}")

set (_compiz_package_string "Compiz ${VERSION}")
set (_compiz_package "Compiz")

compiz_configure_file (${compiz_SOURCE_DIR}/config.h.core.in ${compiz_BINARY_DIR}/generated/config.h)

compiz_configure_file (
    ${CMAKE_SOURCE_DIR}/include/compiz-common.h.in
    ${CMAKE_BINARY_DIR}/generated/compiz-common.h
)

install (
    FILES ${CMAKE_BINARY_DIR}/generated/compiz-common.h
    DESTINATION ${COMPIZ_DESTDIR}${includedir}/compiz
)

compiz_configure_file (
    ${CMAKE_SOURCE_DIR}/compiz.pc.in
    ${CMAKE_BINARY_DIR}/compiz.pc
    COMPIZ_REQUIRES
    COMPIZ_CFLAGS
)

install (
    FILES ${CMAKE_BINARY_DIR}/compiz.pc
    DESTINATION ${COMPIZ_DESTDIR}${libdir}/pkgconfig
)

add_subdirectory (cmake)
add_subdirectory (include)
add_subdirectory (images)
add_subdirectory (libdecoration)
add_subdirectory (gtk)
add_subdirectory (kde)
add_subdirectory (po)
add_subdirectory (metadata)
add_subdirectory (src)
add_subdirectory (xslt)
add_subdirectory (plugins)

compiz_ensure_linkage ()
compiz_package_generation ("Compiz")
compiz_add_uninstall ()
compiz_add_git_dist ()

_print_configure_results ()

_check_compiz_cmake_macro (${CMAKE_MODULE_PATH_ORIG})

=== images/CMakeLists.txt ===

set (_images
    icon.png
    freedesktop.png
)

install (
    FILES ${_images}
    DESTINATION ${COMPIZ_DESTDIR}${compiz_imagedir}
)

=== src/CMakeLists.txt ===
include (CompizBcop)

compiz_add_bcop_targets (
    core
    ${compiz_BINARY_DIR}/generated/core.xml.in
    _bcop_sources
)

include_directories (
    ${compiz_SOURCE_DIR}/include
    ${compiz_BINARY_DIR}
    ${compiz_BINARY_DIR}/generated
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${COMPIZ_INCLUDE_DIRS}
)

add_definitions (
    -DHAVE_CONFIG_H
    -DPLUGINDIR=\\\"${compiz_plugindir}\\\"
    -DIMAGEDIR=\\\"${compiz_imagedir}\\\"
    -DMETADATADIR=\\\"${compiz_metadatadir}\\\"
)

link_directories (
    ${COMPIZ_LINK_DIRS}
)

add_executable (compiz
    region.cpp
    atoms.cpp
    timer.cpp
    main.cpp
    actions.cpp
    screen.cpp
    window.cpp
    action.cpp
    option.cpp
    string.cpp
    match.cpp
    pluginclasses.cpp
    event.cpp
    plugin.cpp
    session.cpp
    output.cpp
    rect.cpp
    size.cpp
    point.cpp
    windowgeometry.cpp
    icon.cpp
    modifierhandler.cpp
    propertywriter.cpp
    eventsource.cpp
    ${_bcop_sources}
)

target_link_libraries (
    compiz ${COMPIZ_LIBRARIES} m pthread dl
)

install (
    TARGETS compiz
    DESTINATION ${COMPIZ_DESTDIR}${exec_prefix}
)

=== debian/changelog ===
compiz (0.9.2.1+git20110226.f059fae9-4) experimental; urgency=low

  * compiz-plugins needs a Depends libdecoration0 (>= 0.9.0)

 -- Sean Finney <seanius@debian.org>  Mon, 07 Mar 2011 20:45:51 +0000

compiz (0.9.2.1+git20110226.f059fae9-3) experimental; urgency=low

  * Add Conflicts/Replaces to reflect some shifting of files from 0.8.x

 -- Sean Finney <seanius@debian.org>  Mon, 07 Mar 2011 19:50:37 +0100

compiz (0.9.2.1+git20110226.f059fae9-2) experimental; urgency=low

  * Add a Depends on libglibmm-2.4-dev to compiz-dev

 -- Sean Finney <seanius@debian.org>  Sun, 06 Mar 2011 13:53:30 +0000

compiz (0.9.2.1+git20110226.f059fae9-1) experimental; urgency=low

  [ Sean Finney ]
  * Incorporate Janos Guljas' compiz packaging work, thanks!

 -- Sean Finney <seanius@debian.org>  Sat, 26 Feb 2011 15:21:34 +0100

compiz (0.9.2.1-1.1) unstable; urgency=low

  [ Janos Guljas ]
  * New upstram release.
  * Bump standards to 3.9.1.
  * Rewrite debian/rules to use debhelper 7.
  * Switch to dpkg format 3.0 (quilt).
  * Updated *.install files for a new release.
  * Synchronize ubuntu patches from 0.9.2.1+glibmainloop-0ubuntu2.
    * 017_always_unredirect_screensaver_on_nvidia.patch
      - Workaround for nvidia not allocating memory when VT non-active
    * 018_use_metacity_settings.patch
      - Use metacity control center applet instead of compiz one
    * 056_Preserve-DESTDIR-if-no-override-in-COMPIZ_DESTDIR.patch
      - Preserve DESTDIR if no override in COMPIZ_DESTDIR
    * 060_move_checks_to_compiz.patch
      - Add additional checks for features before running
  * Added compiz-decorator and its manpage.
  * Added compiz-gnome.gconf-defaults.
  * kde-window-decorator is now kde4-window-decorator.
    - renamed manpage

 -- Janos Guljas <janos@resenje.org>  Sun, 14 Nov 2010 20:52:37 +0100

compiz (0.8.4-5) UNRELEASED; urgency=low

  * Drop compiz-core's README.Debian, which contained obsolete information
    about Xorg configuration (closes: #581863).  Thanks, Jon Dowland!

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 May 2010 21:43:29 +0200

=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: cmake (>= 2.6), debhelper (>= 7.0.50~), intltool, libtool,
 libcairo2-dev,
 libdbus-glib-1-dev, libgconf2-dev, 
 libgl1-mesa-dev (>= 6.5.1) | libgl-dev, libglib2.0-dev, libgnome-desktop-dev,
 libboost1.42-dev, libboost-serialization1.42-dev,
 libglibmm-2.4-dev,
 libgnomeui-dev, 
 libgnome-window-settings-dev, libgtk2.0-dev, libice-dev (>= 1:1.0.1), 
 libmetacity-dev (>= 1:2.30.0), libpango1.0-dev, libpng12-dev | libpng-dev, librsvg2-dev,
 libsm-dev (>= 1:1.0.1), libwnck-dev, libx11-dev, libxcomposite-dev (>= 1:0.3-2), libxext-dev,
 libxdamage-dev (>=1:1.0.3), libxfixes-dev (>= 1:4.0.1), libxinerama-dev,
 libxml-parser-perl, libxrandr-dev (>= 2:1.1.0.2), libxrender-dev (>= 1:0.9.1),
 libxcursor-dev,
 libxml2-dev, libxslt1-dev,
 libstartup-notification0-dev (>= 0.7),
 x11proto-gl-dev (>= 1.4.8), xsltproc,
 libglu1-mesa-dev,
 kdebase-workspace-dev, kdelibs5-dev (>= 4:4.2.2),
 metacity-common, libx11-xcb-dev
Standards-Version: 3.9.1
Homepage: http://www.compiz.org/
Vcs-Git: git://git.debian.org/git/pkg-xorg/app/compiz.git
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/compiz.git

Package: compiz
Architecture: all
Provides: x-window-manager
Depends: compiz-core (>= ${source:Version}), compiz-plugins (>= ${source:Version}), compiz-gnome | compiz-kde, compiz-fusion-plugins-main (>= 0.9), libcompizconfig0 (>= 0.9), ${misc:Depends}
Suggests: compizconfig-settings-manager
Description: OpenGL window and compositing manager - metapackage
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and the files necessary to integrate compiz with the GNOME
 desktop environment.

Package: compiz-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcompizconfig0 (<< 0.9),
 compiz-fusion-plugins-main (<< 0.9),
 compiz-fusion-plugins-extra (<< 0.9),
 compiz-gtk (<< 0.9)
Conflicts: compiz-gtk (<= 0.8.4-4)
Replaces: compiz-gtk (<= 0.8.4-4)
Recommends: compiz-plugins (= ${binary:Version})
Suggests: nvidia-glx (>= 1.0.9625-1)
Provides: compiz-core-abiversion-${coreabiversion}
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${misc:Depends}, libgl1-mesa-dev | libgl-dev, libpng-dev, libxcomposite-dev (>= 1:0.3-2), libxfixes-dev (>=1:4.0.1), libxdamage-dev (>= 1:1.0.3), libxinerama-dev, libxrandr-dev (>=2:1.1.0.2), libxcursor-dev, libice-dev (>= 1:1.0.1), libsm-dev (>= 1:1.0.1), libstartup-notification0-dev (>= 0.7), libxslt1-dev, libxml2-dev, libx11-xcb-dev, libglib2.0-dev, libglibmm-2.4-dev, compiz-plugins (= ${binary:Version})
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-gtk
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: compiz-plugins (<= 0.8.4-4)
Conflicts: compiz-plugins (<= 0.8.4-4)
Suggests: gnome-themes
Description: OpenGL window and compositing manager - Gtk window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses Gtk to provide a look and
 feel similar to that of the metacity window manager.

Package: compiz-kde
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
         compiz-plugins (= ${binary:Version}),
         compizconfig-backend-kconfig4
Description: OpenGL window and compositing manager - KDE window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses KDE to provide a look and
 feel similar to that of the default KDE window manager.

Package: compiz-gnome
Architecture: any
Depends: compiz-gtk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL window and compositing manager - GNOME window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the GNOME desktop
 environment.

Package: compiz-plugins
Architecture: any
Depends: compiz-core (= ${binary:Version}), 
 libdecoration0 (>= 0.9.0),
 ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the standard plugins that come with compiz. Compiz
 without these plugins is not very useful.

Package: libdecoration0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Depends: libdecoration0 (= ${binary:Version}), ${misc:Depends}, libx11-dev, libxrender-dev (>= 1:0.9.1)
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.

# vim: tw=0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' include/core/core.h )

DEFAULT_PLUGINS = "core bailer detection composite opengl decor mousepoll vpswitch regex animation snap expo move compiztoolbox place grid gnomecompat wall ezoom workarounds staticswitcher resize fade scale session"

%:
	dh $@

clean:
	dh clean
	# upstream build leaves this around
	rm -f po/compiz.pot

override_dh_auto_configure:
	# currently, segfault if CMAKE_BUILD_TYPE=Release
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_DEFAULT_PLUGINS=\"$(DEFAULT_PLUGINS)\" -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCOMPIZ_PACKAGING_ENABLED=TRUE

override_dh_install:
	# cmake findcompiz_install use COMPIZ_DESTDIR and using COMPIZ_DESTDIR and
	# DESTDIR together is completely broken upstream
	# So, doing the same in debian/rules to find a way to install things in the
	# right place, sorry for the kittens
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
	mkdir -p debian/tmp$${cmake_dir}/Modules && cp cmake/FindCompiz.cmake debian/tmp$${cmake_dir}/Modules

	dh_install --fail-missing

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[\d]/ compiz-core-([\d\.]+)\.tar\.gz

## compiz 0.9.4+bzr20110415

=== gtk/gnome/CMakeLists.txt ===
if (USE_GNOME)

    include_directories (
	${CMAKE_BINARY_DIR}/gtk
	${GNOME_WINDOW_SETTINGS_INCLUDE_DIRS}
	${GCONF_INCLUDE_DIRS}
    )

    add_definitions (
	-DHAVE_CONFIG_H
	-DMETACITY_THEME_DIR=\\\"${windowsettingsdatadir}/themes\\\"
    )

    link_directories (
	${COMPIZ_LINK_DIRS}
    )

    set (desktop_file ${CMAKE_CURRENT_BINARY_DIR}/compiz.desktop)
    compiz_translate_desktop_file (
        ${CMAKE_CURRENT_SOURCE_DIR}/compiz.desktop.in
        ${desktop_file}
    )
    install (
	FILES ${desktop_file}
	DESTINATION ${COMPIZ_DESTDIR}${datadir}/applications
    )

    set (wmproperties_file ${CMAKE_CURRENT_BINARY_DIR}/compiz-wm.desktop)
    compiz_translate_desktop_file (
        ${CMAKE_CURRENT_SOURCE_DIR}/compiz-wm.desktop.in
        ${wmproperties_file}
    )
    compiz_opt_install_file (
	${wmproperties_file}
	${windowsettingsdatadir}/gnome/wm-properties/compiz-wm.desktop
    )


    if (USE_GNOME_KEYBINDINGS)
        compiz_translate_xml (
	    ${CMAKE_CURRENT_SOURCE_DIR}/50-compiz-desktop-key.xml.in
	    ${CMAKE_CURRENT_BINARY_DIR}/50-compiz-desktop-key.xml
	)
	compiz_translate_xml (
	    ${CMAKE_CURRENT_SOURCE_DIR}/50-compiz-key.xml.in
	    ${CMAKE_CURRENT_BINARY_DIR}/50-compiz-key.xml
	)
	set (key_xml
	    ${CMAKE_CURRENT_BINARY_DIR}/50-compiz-desktop-key.xml
	    ${CMAKE_CURRENT_BINARY_DIR}/50-compiz-key.xml
	)
	compiz_opt_install_file (
	    ${CMAKE_CURRENT_BINARY_DIR}/50-compiz-desktop-key.xml
	    ${keybindingsdir}/50-compiz-desktop-key.xml
	)
	compiz_opt_install_file (
	    ${CMAKE_CURRENT_BINARY_DIR}/50-compiz-key.xml
	    ${keybindingsdir}/50-compiz-key.xml
	)
    endif (USE_GNOME_KEYBINDINGS)

    add_library (gnome-compiz MODULE
	compiz-window-manager.c
	compiz-window-manager.h
	${key_xml}
	${desktop_file}
	${wmproperties_file}
    )


    set_target_properties (gnome-compiz
	PROPERTIES OUTPUT_NAME compiz
	SKIP_BUILD_RPATH 1
    )

    target_link_libraries (
	gnome-compiz ${GNOME_WINDOW_SETTINGS_LIBRARIES}
    )

    compiz_opt_install_file (
	${CMAKE_CURRENT_BINARY_DIR}/libcompiz.so
	${windowsettingslibdir}/window-manager-settings/libcompiz.so
    )
endif (USE_GNOME)

=== plugins/imgsvg/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin(imgsvg PLUGINDEPS composite opengl PKGDEPS cairo>=1.0 cairo-xlib librsvg-2.0>=2.14.0)

=== debian/changelog ===
compiz (1:0.9.4+bzr20110415-0ubuntu2) natty; urgency=low

  * debian/patches/00_bzr_fix_apps_without_startupid.patch:
    - from upstream trunk, fix crash on applications removing _NET_STARTUP_ID
      (LP: #759363)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Apr 2011 11:40:43 +0200

compiz (1:0.9.4+bzr20110415-0ubuntu1) natty; urgency=low

  * New upstream snapshot
    - Focus problem with Thunderbird (LP: #753951)
    - Chromium fullscreen + Alt-TAB confuses the launcher (LP: #757434)
    - compiz hangs randomly several times per day (LP: #740126)
  * debian/patches/00_*:
    - removed as part of upstream tarball

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 15 Apr 2011 17:08:40 +0200

compiz (1:0.9.4+bzr20110411-0ubuntu2) natty; urgency=low

  * 00_bzr_fix_crash_with_some_apps.patch
    - Fix inkscape/unison and other applications crashes (LP: #758307)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 14 Apr 2011 14:37:39 +0200

compiz (1:0.9.4+bzr20110411-0ubuntu1) natty; urgency=low

  * New upstream snapshot, including all 01_bzr* patch:
    - compiz crashed with SIGSEGV in PluginClassHandler<DecorWindow, CompWindow,
      0>::get() (LP: #743807)
    - Animation for Grid Previews is broken (LP: #754088)
    - Grid plugin: Maximizing a window from left or right edge loses original
      size (LP: #753051)
  * add 00_remove_printf.patch: remove debug printf
  * 02_add_debug_spewer_for_apport.patch:
    - refreshed

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 11 Apr 2011 13:25:14 +0200

compiz (1:0.9.4+bzr20110407-0ubuntu2) natty; urgency=low

  * New upstream snapshot:
    - fix unity-window-decorator crashed with SIGSEGV in event_filter_funct
      (LP: #711561)
  * debian/patches/086_new_grid_defaults.patch:
    - change threshold to 15 on sides and 20 on top to work well with the new
      animtion
  * debian/patches/01_bzr_fix_grid_on_multimonitor.patch,
    01_bzr_fix_resize.patch, 01_bzr_fix_grid_premultiply.patch:
    - from upstream bzr, fix grid on multimonitor and colors handling
  * debian/patches/086_new_grid_defaults.patch,
    debian/patches/029_default_options.patch:
    - set the resize grid shadow to orange (LP: #752711)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 07 Apr 2011 18:06:44 +0200

compiz (1:0.9.4+bzr20110406-0ubuntu1) natty; urgency=low

  * new upstream bzr tarball:
    - display/size problems with xterm (LP: #748137)
    - fix crashes on tcl/tk applications (LP: #741074, #747439)
    - fix grab on compose keys (LP: #747323)
    - resync stack at regular interval to avoid invisible windows
      (LP: #723014, #743011, #736876, #740465, #684590)
    - fix weird order in alt + tab (LP: #175874)
    - fix crash in gitk (LP: #743011, #741074)
    - avoid compiz detection by fglrx driver (LP: #740298)
    - Wrong window moves (LP: #741656, #743634)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - Feature Freeze Exception: Animation for Grid Plugin Previews (LP: #744104)
    - unity-window-decorator crashed with SIGSEGV in gdk_window_get_events()
      (LP: #725284)
    - fix xterm (LP: #692463)
    - start the decorator on a secondary screen (LP: #730495)
  * debian/patches/090_git_fix_new_invisible_windows.patch,
    debian/patches/100_bump_core.h.patch:
    - upstreamed
  * debian/patches/01_unity_window_decorator.patch
    debian/patches/085_add_grid_plugin.patch:
    - in bzr upstream tarball

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 06 Apr 2011 19:37:45 +0200

compiz (1:0.9.4git20110322-0ubuntu5) natty; urgency=low

  * debian/patches/080_fix_session_handling.patch:
    reverted, seems to break more people that it fixes it. Not commited to
    compiz trunk as well

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 24 Mar 2011 12:03:47 +0100

compiz (1:0.9.4git20110322-0ubuntu4) natty; urgency=low

  * 080_fix_session_handling.patch:
    - fix respawn on crash (LP: #716462)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 23 Mar 2011 23:38:35 +0100

compiz (1:0.9.4git20110322-0ubuntu3) natty; urgency=low

  * 90_git_fix_new_invisible_windows.patch:
    from git, fix a case with new invisible windows (LP: #741072)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 23 Mar 2011 17:36:06 +0100

compiz (1:0.9.4git20110322-0ubuntu2) natty; urgency=low

  * debian/patches/01_unity_window_decorator.patch:
    - fix frequent crash (LP: #740480)
  * debian/compiz-decorator:
    - reset the unity window decorator by default 

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 23 Mar 2011 08:55:46 +0100

compiz (1:0.9.4git20110322-0ubuntu1) natty; urgency=low

  * New upstream bug fix snapshot:
    - Application windows can sometimes fail to display and will
      mask regions of the screen (LP: #709461)
    - Compiz switcher Alt-Tab order is not predictable - should
      maintain LIFO ordering in application switcher (LP: #175874)
    - after compiz crashed, gnome-panel isn't mapped again (LP: #711378)
    - invisible windows border problem (LP: #710271)
    - Compiz thinks you are clicking in an edge window when you
      are not (LP: #734250)
    - Add test case for invisible window regressions (LP: #736876)
    - often can't alt-click-dnd to move the focussed dialog (LP: #711911)
    - When windows open for the first time they should not hide (LP: #723878)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - Pixmaps trashed during animations when window is unmapped (LP: #733331)
    - Windows have blank decorations when rapidly closing and
      reopening (LP: #733328)
    - Unity is not restored on unity/compiz crash: compiz doesn't register
      properly with gnome-session (LP: #716462)
  * remove the patch taken from upstream
  * refresh u-w-d patch with latest upstream work
  * debian/compiz-core.install:
    - image move to the final destination
  * debian/patches/100_bump_core.h.patch:
    - bump for ABI breakage
  * debian/compiz-decorator:
    - use gtk-window-decorator and not unity-window-decorator as it's really
